QGIS Application - Bug report #10758
drag and drop of layers or layers group between projects produces inconsistent results
2014-06-30 07:42 AM - A mulazzani

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 19141
Description

With two qgis project opened, if | move a layer or a layer group from one project to another, picking it with the mouse pointer (keeping the
left button pressed), the layer/group disappears from the first project, and doesn’t work in the one where it has been moved (only its name
appears in the legend).

Copy and Paste command appears to be disabled to carry out this function.

History

#1 - 2014-06-30 07:44 AM - Paolo Cavallini

- Subject changed from copying layers or layer gruop between projects to copying layers or layer group between projects

#2 - 2014-06-30 03:41 PM - Giovanni Manghi
- Category set to Map Legend
- Status changed from Open to Feedback

was this working on a previous qgis release?

#3 - 2014-07-01 12:40 AM - A mulazzani

No, it wasn't. But | noticed that now is possibile to drag a layer or a group of layers from one project to another. But, as | wrote, the layer or group is
removed from one legend and it doesn't work in the new one. Insteda | would expect to have it copied.
This would be a very useful function, when for example you need to prepare more maps with the same base map composed by many layers which should

have the same look in all the maps.

#4 - 2014-10-11 07:24 AM - Giovanni Manghi

- Affected QGIS version changed from 2.4.0 to master

- Subject changed from copying layers or layer group between projects to darg and drop of layers or layers group between projects produces
inconsistent results

- Status changed from Feedback to Open

#5 - 2014-10-12 08:06 AM - Jiirgen Fischer

- Subject changed from darg and drop of layers or layers group between projects produces inconsistent results to drag and drop of layers or layers
group between projects produces inconsistent results

#6 - 2017-01-28 10:47 AM - Ger CO

Any chance this feature will be included in V3?
#7 - 2017-01-28 10:47 AM - Ger CO

Any chance this feature will be included in V3?

#8 - 2017-01-28 07:22 PM - Nyall Dawson

I'm not aware of any plans to address this yet, but you can still make this part of QGIS 3. See
http://nyalldawson.net/2016/08/how-to-effectively-get-things-changed-in-qgis/

#9 - 2017-02-08 04:19 AM - Peter Drexel

There is a plugin available to ~ do this:

https://github.com/gacarrillor/CopyLayersAndGroupsToClipboard

#10 - 2017-05-01 01:08 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No
#11 - 2019-03-09 04:09 PM - Giovanni Manghi

- Status changed from Open to Closed
- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
